﻿<div class="panel panel-default col-md-4 col-md-offset-4 col-xs-10 col-xs-offset-1 formLogin">
    <div class="panel-body">
        <h3 class="text-center">Connexion à l'interface d'administration</h3>

        <div class="alert alert-danger" role="alert" ng-show="login.erreur">
            <strong>Connexion impossible :</strong> Login ou mot de passe incorrect.
        </div>

        <form ng-submit="login.connexion()">
            <div class="form-group">
                <input type="text" class="form-control" placeholder="Identifiant" ng-model="login.user.Login" required />
            </div>
            <div class="form-group">
                <input type="password" class="form-control" placeholder="Mot de passe" ng-model="login.user.Password" required />
            </div>
            <div class="col-md-6 checkbox checkboxLogin">
                <label>
                    <input type="checkbox" ng-model="login.user.remember"> Rester connecté
                </label>
            </div>
            <div class="col-md-6 text-right">
                <a data-toggle="modal" data-target="#recoverPassword">Mot de passe oublié ?</a>
            </div>
            <input type="submit" class="btn btn-block btn-primary" value="Connexion" />
        </form>
    </div>
</div>

<div class="modal fade" id="recoverPassword" tabindex="-1" role="dialog" aria-labelledby="Mot de passe oublié">
    <div class="modal-dialog">
        <div class="modal-content">
            <div class="modal-header">
                <button type="button" class="close" data-dismiss="modal" aria-label="Fermer"><span aria-hidden="true">&times;</span></button>
                <h4 class="modal-title">Envoi d'un nouveau mot de passe</h4>
            </div>
            <form ng-submit="login.recover()">
                <div class="modal-body">
                    <p>Renseignez votre identifiant pour qu'un nouveau mot de passe vous soit envoyé.</p>
                    <div class="form-group">
                        <input type="text" class="form-control" placeholder="Identifiant" ng-model="login.user.Login" required />
                    </div>

                    <div class="alert alert-success" role="alert" ng-show="login.passeEnvoye">
                        <strong>Demande envoyée :</strong> Vous devriez recevoir un nouveau de mot de passe si votre login est correct.
                    </div>

                </div>
                <div class="modal-footer">
                    <button type="button" class="btn btn-default" data-dismiss="modal">Fermer</button>
                    <button type="submit" class="btn btn-primary">Envoyer le nouveau mot de asse</button>
                </div>
            </form>
        </div><!-- /.modal-content -->
    </div><!-- /.modal-dialog -->
</div><!-- /.modal -->